"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_up_upload2 = common_vendor.resolveComponent("up-upload");
  const _easycom_up_radio2 = common_vendor.resolveComponent("up-radio");
  const _easycom_up_radio_group2 = common_vendor.resolveComponent("up-radio-group");
  (_easycom_up_upload2 + _easycom_up_radio2 + _easycom_up_radio_group2)();
}
const _easycom_up_upload = () => "../../../node-modules/uview-plus/components/u-upload/u-upload.js";
const _easycom_up_radio = () => "../../../node-modules/uview-plus/components/u-radio/u-radio.js";
const _easycom_up_radio_group = () => "../../../node-modules/uview-plus/components/u-radio-group/u-radio-group.js";
if (!Math) {
  (_easycom_up_upload + _easycom_up_radio + _easycom_up_radio_group)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "student",
  setup(__props) {
    const form = common_vendor.inject("form");
    const errors = common_vendor.inject("errors");
    const genderList = common_vendor.inject("genderList");
    const gradeList = common_vendor.inject("gradeList");
    const deletePic = common_vendor.inject("deletePic");
    const afterRead = common_vendor.inject("afterRead");
    const formSubmit = common_vendor.inject("formSubmit");
    const gradeChange = common_vendor.inject("gradeChange");
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.unref(form)._id,
        b: common_vendor.o(common_vendor.unref(afterRead)),
        c: common_vendor.o(common_vendor.unref(deletePic)),
        d: common_vendor.p({
          fileList: common_vendor.unref(form).icon,
          name: "icon",
          multiple: true,
          maxCount: 1
        }),
        e: common_vendor.unref(form).nick_name,
        f: common_vendor.unref(errors).nick_name
      }, common_vendor.unref(errors).nick_name ? {
        g: common_vendor.t(common_vendor.unref(errors).nick_name)
      } : {}, {
        h: common_vendor.f(common_vendor.unref(genderList), (item, index, i0) => {
          return {
            a: index,
            b: "32b3405a-2-" + i0 + ",32b3405a-1",
            c: common_vendor.p({
              customStyle: {
                marginRight: "16px"
              },
              label: item.label,
              name: item.value
            })
          };
        }),
        i: common_vendor.o(($event) => common_vendor.unref(form).gender = $event),
        j: common_vendor.p({
          placement: "row",
          modelValue: common_vendor.unref(form).gender
        }),
        k: common_vendor.unref(errors).gender
      }, common_vendor.unref(errors).gender ? {
        l: common_vendor.t(common_vendor.unref(errors).gender)
      } : {}, {
        m: common_vendor.unref(form).age,
        n: common_vendor.unref(errors).age
      }, common_vendor.unref(errors).age ? {
        o: common_vendor.t(common_vendor.unref(errors).age)
      } : {}, {
        p: common_vendor.unref(form).phone,
        q: common_vendor.unref(errors).phone
      }, common_vendor.unref(errors).phone ? {
        r: common_vendor.t(common_vendor.unref(errors).phone)
      } : {}, {
        s: common_vendor.t(common_vendor.unref(form).grade_name || "请选择年级"),
        t: common_vendor.o(
          //@ts-ignore
          (...args) => common_vendor.unref(gradeChange) && common_vendor.unref(gradeChange)(...args)
        ),
        v: common_vendor.unref(gradeList),
        w: common_vendor.unref(form).address,
        x: common_vendor.o(
          //@ts-ignore
          (...args) => common_vendor.unref(formSubmit) && common_vendor.unref(formSubmit)(...args)
        )
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-32b3405a"], ["__file", "D:/project/学吧/learn_applet/pagesMy/account/path/student.vue"]]);
wx.createComponent(Component);
